From: "Rui Huang" <vowstar@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: x11-themes/obsidian-icon-theme/
Date: Sat, 6 Jun 2020 06:41:05 +0000 (UTC) [thread overview]
Message-ID: <1591425565.189392c38d640f59abd261cb985bfd2b315729f7.vowstar@gentoo> (raw)
commit: 189392c38d640f59abd261cb985bfd2b315729f7
Author: Huang Rui <vowstar <AT> gmail <DOT> com>
AuthorDate: Sat Jun 6 06:38:08 2020 +0000
Commit: Rui Huang <vowstar <AT> gmail <DOT> com>
CommitDate: Sat Jun 6 06:39:25 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=189392c3
x11-themes/obsidian-icon-theme: bump version to 4.12
update to latest version
Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Huang Rui <vowstar <AT> gmail.com>
x11-themes/obsidian-icon-theme/Manifest | 1 +
.../obsidian-icon-theme-4.12.ebuild | 40 ++++++++++++++++++++++
2 files changed, 41 insertions(+)
diff --git a/x11-themes/obsidian-icon-theme/Manifest b/x11-themes/obsidian-icon-theme/Manifest
index 31bac64..f554d8f 100644
--- a/x11-themes/obsidian-icon-theme/Manifest
+++ b/x11-themes/obsidian-icon-theme/Manifest
@@ -1 +1,2 @@
DIST obsidian-icon-theme-4.11.tar.gz 70016310 BLAKE2B 138824ee333eb225eaa7d22cd3e8cb05d374b78f3dd0ce194fe489fb34f16b8e4eb9f752006ff5c73c8467db6edf4bbb662adfbe1a4ed5296af4d1484c70321c SHA512 e0dcf1085a293d2ec64fe649e7e6fd9f705da8b0559f4ca4da14ef58809c21a8c21346fcafeb9717c7f45e566aee0ed6422b4edf4687bbabf62cd0ad69985eaf
+DIST obsidian-icon-theme-4.12.tar.gz 70303616 BLAKE2B e10370c09364d3d2784fa55811189f2ef3969ee1e633bea213461f5d4387ea26a9978c2b7956d02ed472e849a45a16e4346f81b6c65de2a9e1a860d82baffb7c SHA512 b041e688cbd1a247c81251f58494f701ded5cf5adaebb9f76383330fbc8a82d9a50ca67497c4743f6e95739c995c447913e9384a8dde1a72fb39ee20aa355b8a
diff --git a/x11-themes/obsidian-icon-theme/obsidian-icon-theme-4.12.ebuild b/x11-themes/obsidian-icon-theme/obsidian-icon-theme-4.12.ebuild
new file mode 100644
index 0000000..63e6ecf
--- /dev/null
+++ b/x11-themes/obsidian-icon-theme/obsidian-icon-theme-4.12.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+GIT_PN="iconpack-obsidian"
+
+inherit xdg
+
+DESCRIPTION="Obsidian Icon Theme is intuitive Faenza-like icon theme"
+
+HOMEPAGE="https://github.com/madmaxms/iconpack-obsidian"
+
+if [[ "${PV}" == "9999" ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/madmaxms/${GIT_PN}.git"
+else
+ SRC_URI="https://github.com/madmaxms/${GIT_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+ S="${WORKDIR}/${GIT_PN}-${PV}"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+
+RDEPEND="
+ x11-themes/adwaita-icon-theme
+"
+
+DEPEND="${RDEPEND}"
+
+DOCS=( README.md )
+
+src_install() {
+ # Remove dead links to fix symbolic link does not exist QA.
+ find . -xtype l -exec rm {} + || die
+ # Install the icons
+ insinto /usr/share/icons
+ doins -r Obsidian*
+}
next reply other threads:[~2020-06-06 6:41 UTC|newest]
Thread overview: 18+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-06-06 6:41 Rui Huang [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-04-01 12:44 [gentoo-commits] repo/proj/guru:dev commit in: x11-themes/obsidian-icon-theme/ Rui Huang
2021-02-13 14:52 Rui Huang
2021-02-13 14:52 Rui Huang
2021-01-01 9:55 Rui Huang
2020-12-28 23:22 Andrew Ammerlaan
2020-12-01 9:09 Rui Huang
2020-12-01 9:09 Rui Huang
2020-10-05 13:26 Rui Huang
2020-10-05 13:26 Rui Huang
2020-06-06 6:41 Rui Huang
2020-04-07 9:17 Rui Huang
2020-04-07 8:48 Rui Huang
2020-04-07 8:28 Rui Huang
2020-04-07 7:53 Rui Huang
2020-04-07 7:48 Rui Huang
2020-04-07 7:48 Rui Huang
2020-04-07 7:48 Rui Huang
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1591425565.189392c38d640f59abd261cb985bfd2b315729f7.vowstar@gentoo \
--to=vowstar@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox